# module ActiveRecord::LegacyYamlAdapter::Rails420

### Public Class Methods

convert(klass, coder) click to toggle source

    # File lib/active_record/legacy_yaml_adapter.rb, line 18
    def self.convert(klass, coder)
      attribute_set = coder["attributes"]

      klass.attribute_names.each do |attr_name|
        attribute = attribute_set[attr_name]
        if attribute.type.is_a?(Delegator)
          type_from_klass = klass.type_for_attribute(attr_name)
          attribute_set[attr_name] = attribute.with_type(type_from_klass)
        end
      end

      coder
    end